## Challenge Dispute

Indicates that you have submitted all evidence you had for the dispute challenge.
A non-refundable 500 THB challenge fee will be deducted from your balance upon challenging the dispute.
Failing to challenge the dispute within the deadline will result in the dispute being marked as closed in favor of the customer.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/challenge-dispute HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  dispute_id: string,
}
```

Returns: boolean

## Request arguments

### `dispute_id` (string)

**Required**. The unique identifier of the dispute (dsp_...)

## Errors specific to this endpoint

### `NOT_FOUND`

The specified dispute was not found.

### `INVALID_TRANSITION`

The dispute is not in a state that can be challenged (e.g., already won or lost).

### `MISSING_EVIDENCE`

No evidence has been uploaded for this dispute action.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
